> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bfd Status



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/bgp/bfd_status
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/bgp/bfd_status:
    get:
      tags:
        - service - routing - BGP
      summary: Get Bfd Status
      operationId: get_bfd_status_service__tenant_name__bgp_bfd_status_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_BfdPeerData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_BfdPeerData_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BfdPeerData'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[BfdPeerData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BfdPeerData:
      properties:
        multihop:
          type: boolean
          title: Multihop
        peer:
          type: string
          title: Peer
        vrf:
          type: string
          title: Vrf
        id:
          type: integer
          title: Id
        remote-id:
          type: integer
          title: Remote-Id
        passive-mode:
          type: boolean
          title: Passive-Mode
        status:
          type: string
          title: Status
        downtime:
          type: integer
          title: Downtime
          default: 0
        uptime:
          type: integer
          title: Uptime
          default: 0
        diagnostic:
          type: string
          title: Diagnostic
        remote-diagnostic:
          type: string
          title: Remote-Diagnostic
        receive-interval:
          type: integer
          title: Receive-Interval
        transmit-interval:
          type: integer
          title: Transmit-Interval
        echo-receive-interval:
          type: integer
          title: Echo-Receive-Interval
        echo-transmit-interval:
          type: integer
          title: Echo-Transmit-Interval
        detect-multiplier:
          type: integer
          title: Detect-Multiplier
        remote-receive-interval:
          type: integer
          title: Remote-Receive-Interval
        remote-transmit-interval:
          type: integer
          title: Remote-Transmit-Interval
        remote-echo-receive-interval:
          type: integer
          title: Remote-Echo-Receive-Interval
        remote-detect-multiplier:
          type: integer
          title: Remote-Detect-Multiplier
      type: object
      required:
        - multihop
        - peer
        - vrf
        - id
        - remote-id
        - passive-mode
        - status
        - diagnostic
        - remote-diagnostic
        - receive-interval
        - transmit-interval
        - echo-receive-interval
        - echo-transmit-interval
        - detect-multiplier
        - remote-receive-interval
        - remote-transmit-interval
        - remote-echo-receive-interval
        - remote-detect-multiplier
      title: BfdPeerData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````